List Players
curl --request GET \
--url https://padelapi.org/api/players \
--header 'Authorization: Bearer <token>'import requests
url = "https://padelapi.org/api/players"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://padelapi.org/api/players', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"short_name": "<string>",
"url": "<string>",
"photo_url": "<string>",
"category": "men",
"nationality": "<string>",
"ranking": "<string>",
"points": 123,
"elo": 123,
"height": 123,
"side": "drive",
"hand": "left",
"birthplace": "<string>",
"birthdate": "<string>",
"age": "<string>",
"links": "<string>",
"updated_at": "<string>",
"connections": {
"matches": "<string>",
"rankings": "<string>",
"pairs": "<string>",
"stats": "<string>"
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Player
List Players
Endpoint to retrieve professional padel players with filtering options by name, nationality, category, birthplace, and playing side.
GET
/
players
List Players
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Name of the player to search for. To search for multiple players, separate names with commas.
2 letters country-code of the player.
Required string length:
2Category of the player. Either men or women.
Available options:
men, women Name of the birthplace of the player.
Side of the player, either drive or backhand.
Available options:
drive, backhand Filter players updated after this datetime in ISO 8601 format.
Filter players updated before this datetime in ISO 8601 format.
Name of the parameter to sort the tournaments by.
Available options:
name, ranking, points, elo, height, birthdate, updated_at Order of the sorting, either asc or desc.
Available options:
asc, desc